Grant or revoke permissions to a user
Modifies permissions for a specified user, enabling access to perform operations on designated systems. Use this to manage user access rights across systems.
HTTP method and endpoint
POST /users/{userId}/working-environments-grant-revoke
Usage notes
Grants or revokes permissions to the specified user for performing operations over the specified systems.
Parameters
| Name | Type | In | Required | Description |
|---|---|---|---|---|
userId |
string |
path |
True |
Request Body
| Name | Type | Required | Description |
|---|---|---|---|
addWorkingEnvironments |
array[string] |
True |
List of system public IDs for which permissions should be added |
removeWorkingEnvironments |
array[string] |
True |
List of system public IDs for which permissions should be removed |
Example request
{
"addWorkingEnvironments": [
"string"
],
"removeWorkingEnvironments": [
"string"
]
}
Error
Status: Default, Default response